Skip to main content
GET
Availability requests will be sent to the booking system in order to find out the current availability for the given product and booking time.

Path Parameters

productIdentifier
string
required

Identifier for the fare/product being booked on the external booking system

Query Parameters

startDate
string<date>
required

Start of date range to check availability for, in YYYY-MM-DD format.

endDate
string<date>
required

End of date range to check availability for, in YYYY-MM-DD format. Both dates are inclusive; if the startDate is the same as the endDate, availability should be returned for that date.
Please note that the TravelDesk system will only request up to 14 days maximum

bookingTimeId
string
required

Identifier of booking time to check availability for, as provided in the Booking Details response.

Response

Returned when successful.

Availability Response Parameters

availability
object[]

Array of Availability objects, one for each date included in the request date range